<?xml version="1.1" encoding="UTF-8"?>
<linked-hash-map>
  <entry>
    <string>2</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="org.jenkinsci.plugins.workflow.graph.FlowStartNode" plugin="workflow-api@1311.v4250456a_e552">
        <parentIds/>
        <id>2</id>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172441494</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>3</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>2</string>
        </parentIds>
        <id>3</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.ExecutorStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>label</string>
              <string>docker-agent</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172445691</startTime>
        </wf.a.TimingAction>
        <org.jenkinsci.plugins.workflow.support.steps.ExecutorStepExecution_-QueueItemActionImpl plugin="workflow-durable-task-step@1353.v1891a_b_01da_18">
          <id>14</id>
        </org.jenkinsci.plugins.workflow.support.steps.ExecutorStepExecution_-QueueItemActionImpl>
        <s.a.WorkspaceActionImpl>
          <node>jenkins-agent</node>
          <path>/home/jenkins-agent/workspace/omc-assignment</path>
          <labels class="sorted-set">
            <hudson.model.labels.LabelAtom>agent</hudson.model.labels.LabelAtom>
            <hudson.model.labels.LabelAtom>alpine-agent</hudson.model.labels.LabelAtom>
            <hudson.model.labels.LabelAtom>docker-agent</hudson.model.labels.LabelAtom>
            <hudson.model.labels.LabelAtom>git-agent</hudson.model.labels.LabelAtom>
          </labels>
        </s.a.WorkspaceActionImpl>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>4</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>3</string>
        </parentIds>
        <id>4</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.ExecutorStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172446316</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>5</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>4</string>
        </parentIds>
        <id>5</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>Declarative: Checkout SCM</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172446405</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>6</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>5</string>
        </parentIds>
        <id>6</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>Declarative: Checkout SCM</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172446412</startTime>
        </wf.a.TimingAction>
        <wf.a.TagsAction plugin="workflow-api@1311.v4250456a_e552">
          <tags>
            <entry>
              <string>SYNTHETIC_STAGE</string>
              <string>PRE</string>
            </entry>
          </tags>
        </wf.a.TagsAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>7</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>6</string>
        </parentIds>
        <id>7</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.scm.GenericSCMStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>scm</string>
              <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable plugin="structs@337.v1b_04ea_4df7c8">
                <symbol>scmGit</symbol>
                <arguments class="tree-map">
                  <entry>
                    <string>branches</string>
                    <list>
                      <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                        <arguments class="tree-map">
                          <entry>
                            <string>name</string>
                            <string>main</string>
                          </entry>
                        </arguments>
                        <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                          <type>hudson.plugins.git.BranchSpec</type>
                        </model>
                      </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                    </list>
                  </entry>
                  <entry>
                    <string>extensions</string>
                    <list>
                      <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                        <symbol>cleanBeforeCheckout</symbol>
                        <klass>CleanBeforeCheckout</klass>
                        <arguments class="tree-map">
                          <entry>
                            <string>deleteUntrackedNestedRepositories</string>
                            <boolean>true</boolean>
                          </entry>
                        </arguments>
                        <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                          <type>hudson.plugins.git.extensions.impl.CleanBeforeCheckout</type>
                        </model>
                      </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                      <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                        <symbol>submodule</symbol>
                        <klass>SubmoduleOption</klass>
                        <arguments class="tree-map">
                          <entry>
                            <string>recursiveSubmodules</string>
                            <boolean>true</boolean>
                          </entry>
                          <entry>
                            <string>reference</string>
                            <string></string>
                          </entry>
                        </arguments>
                        <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                          <type>hudson.plugins.git.extensions.impl.SubmoduleOption</type>
                        </model>
                      </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                    </list>
                  </entry>
                  <entry>
                    <string>userRemoteConfigs</string>
                    <list>
                      <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                        <arguments class="tree-map">
                          <entry>
                            <string>credentialsId</string>
                            <string>github-credentials</string>
                          </entry>
                          <entry>
                            <string>url</string>
                            <string>https://github.com/idubi/omc-assignment.git</string>
                          </entry>
                        </arguments>
                        <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                          <type>hudson.plugins.git.UserRemoteConfig</type>
                        </model>
                      </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                    </list>
                  </entry>
                </arguments>
                <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                  <type>hudson.plugins.git.GitSCM</type>
                </model>
              </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172446479</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>8</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>7</string>
        </parentIds>
        <id>8</id>
        <startId>6</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172604725</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>9</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>8</string>
        </parentIds>
        <id>9</id>
        <startId>5</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172604768</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>10</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>9</string>
        </parentIds>
        <id>10</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EnvStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>overrides</string>
              <list>
                <string>GIT_BRANCH=origin/main</string>
                <string>GIT_COMMIT=0bce70486225f182d17df80e8a1e567c5d783be4</string>
                <string>GIT_PREVIOUS_COMMIT=b4aff40a4df2e4f365389b3f4f28d2d73e744588</string>
                <string>GIT_URL=https://github.com/idubi/omc-assignment.git</string>
              </list>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172604862</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>11</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>10</string>
        </parentIds>
        <id>11</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EnvStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172604867</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>12</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>11</string>
        </parentIds>
        <id>12</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>preapre build environment</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172604958</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>13</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>12</string>
        </parentIds>
        <id>13</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>preapre build environment</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172604964</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>14</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>13</string>
        </parentIds>
        <id>14</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.durable_task.ShellStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>script</string>
              <string>
                        rm -rf /home/jenkins-agent/curl/*
                        rm -rf /home/jenkins-agent/logs/*
                        rm -rf /home/jenkins-agent/artifacts/*
                        rsync -av /home/jenkins-agent/workspace/omc-assignment/curl/* /home/jenkins-agent/curl
                        chmod -R 777 /home/jenkins-agent/curl
                        
                    </string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172605059</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>15</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>14</string>
        </parentIds>
        <id>15</id>
        <startId>13</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606270</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>16</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>15</string>
        </parentIds>
        <id>16</id>
        <startId>12</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606298</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>17</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>16</string>
        </parentIds>
        <id>17</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>execute docker builder</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606317</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>18</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>17</string>
        </parentIds>
        <id>18</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>execute docker builder</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606321</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>19</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>18</string>
        </parentIds>
        <id>19</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606370</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>20</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>19</string>
        </parentIds>
        <id>20</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606396</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>21</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>20</string>
        </parentIds>
        <id>21</id>
        <descriptorId>org.jenkinsci.plugins.credentialsbinding.impl.BindingStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>bindings</string>
              <list>
                <org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                  <symbol>usernamePassword</symbol>
                  <arguments class="linked-hash-map">
                    <entry>
                      <string>credentialsId</string>
                      <string>docker-credentials</string>
                    </entry>
                    <entry>
                      <string>usernameVariable</string>
                      <string>DOCKER_USERNAME</string>
                    </entry>
                    <entry>
                      <string>passwordVariable</string>
                      <string>DOCKER_PASSWORD</string>
                    </entry>
                  </arguments>
                  <interpolatedStrings/>
                </org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
              </list>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606519</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>22</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>21</string>
        </parentIds>
        <id>22</id>
        <descriptorId>org.jenkinsci.plugins.credentialsbinding.impl.BindingStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606581</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>23</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>22</string>
        </parentIds>
        <id>23</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.durable_task.ShellStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>script</string>
              <wf.a.ArgumentsAction_-NotStoredReason>OVERSIZE_VALUE</wf.a.ArgumentsAction_-NotStoredReason>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>DOCKER_PASSWORD</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>false</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172606597</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>24</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>23</string>
        </parentIds>
        <id>24</id>
        <startId>22</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683374</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>25</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>24</string>
        </parentIds>
        <id>25</id>
        <startId>21</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683409</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>26</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>25</string>
        </parentIds>
        <id>26</id>
        <startId>20</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683419</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>27</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>26</string>
        </parentIds>
        <id>27</id>
        <startId>19</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683449</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>28</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>27</string>
        </parentIds>
        <id>28</id>
        <startId>18</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683464</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>29</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>28</string>
        </parentIds>
        <id>29</id>
        <startId>17</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683502</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>30</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>29</string>
        </parentIds>
        <id>30</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>wait until build ends</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683524</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>31</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>30</string>
        </parentIds>
        <id>31</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>wait until build ends</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683529</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>32</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>31</string>
        </parentIds>
        <id>32</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.durable_task.ShellStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>script</string>
              <string>#!/bin/bash
                                    chmod -R +x ./jenkins-flow-scripts/docker-utils.sh
                                    source jenkins-flow-scripts/docker-utils.sh 
                                    # [1. curl container that execute build]
                                    wait_while_container_up &apos;curl-execution&apos; 
                                    

                </string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716172683578</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>33</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>32</string>
        </parentIds>
        <id>33</id>
        <startId>31</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419314</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>34</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>33</string>
        </parentIds>
        <id>34</id>
        <startId>30</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419337</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>35</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>34</string>
        </parentIds>
        <id>35</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>save application and logs in s3 repo</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419354</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>36</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>35</string>
        </parentIds>
        <id>36</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>save application and logs in s3 repo</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419358</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>37</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>36</string>
        </parentIds>
        <id>37</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419392</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>38</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>37</string>
        </parentIds>
        <id>38</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419399</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>39</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>38</string>
        </parentIds>
        <id>39</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>#################################################################################################</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419462</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>40</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>39</string>
        </parentIds>
        <id>40</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>OWNER_BUILD_NUMBER 89 </string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419474</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>41</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>40</string>
        </parentIds>
        <id>41</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>REPOSITORY_URI s3://omc-backets-curl/version-20052024-0250 </string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419485</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>42</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>41</string>
        </parentIds>
        <id>42</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>REPOSITORY_URL https://omc-backets-curl.s3.amazonaws.com/version-20052024-0250 </string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419497</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>43</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>42</string>
        </parentIds>
        <id>43</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>TIMESTAMP 20052024-0250 </string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419511</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>44</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>43</string>
        </parentIds>
        <id>44</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>#################################################################################################</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419523</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>45</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>44</string>
        </parentIds>
        <id>45</id>
        <descriptorId>org.jenkinsci.plugins.credentialsbinding.impl.BindingStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>bindings</string>
              <list>
                <linked-hash-map>
                  <entry>
                    <string>$class</string>
                    <string>AmazonWebServicesCredentialsBinding</string>
                  </entry>
                  <entry>
                    <string>credentialsId</string>
                    <string>omc-aws-credentials-accesskey-secret</string>
                  </entry>
                  <entry>
                    <string>accessKeyVariable</string>
                    <string>AWS_ACCESS_KEY_ID</string>
                  </entry>
                  <entry>
                    <string>secretKeyVariable</string>
                    <string>AWS_SECRET_ACCESS_KEY</string>
                  </entry>
                </linked-hash-map>
              </list>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419535</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>46</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>45</string>
        </parentIds>
        <id>46</id>
        <descriptorId>org.jenkinsci.plugins.credentialsbinding.impl.BindingStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419560</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>47</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>46</string>
        </parentIds>
        <id>47</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.durable_task.ShellStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>script</string>
              <string>aws s3api put-object --bucket omc-backets-curl --key version-20052024-0250/</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173419574</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>48</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>47</string>
        </parentIds>
        <id>48</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.durable_task.ShellStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>script</string>
              <string>aws s3 cp /home/jenkins-agent/logs/ s3://omc-backets-curl/version-20052024-0250/ --recursive</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173424053</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>49</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>48</string>
        </parentIds>
        <id>49</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>#################################################################################################</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173434311</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>50</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>49</string>
        </parentIds>
        <id>50</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>####   logs uploaded to repo:  https://omc-backets-curl.s3.amazonaws.com/version-20052024-0250/                             ####</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173434324</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>51</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>50</string>
        </parentIds>
        <id>51</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>#################################################################################################</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173434338</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>52</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>51</string>
        </parentIds>
        <id>52</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.FileExistsStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>file</string>
              <string>/home/jenkins-agent/artifacts/curl</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173434354</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>53</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>52</string>
        </parentIds>
        <id>53</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.durable_task.ShellStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>script</string>
              <string>aws s3 cp /home/jenkins-agent/artifacts/curl s3://omc-backets-curl/version-20052024-0250/</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173434389</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>54</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>53</string>
        </parentIds>
        <id>54</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>#################################################################################################</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468075</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>55</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>54</string>
        </parentIds>
        <id>55</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>#### curl arifact uploadedto :  https://omc-backets-curl.s3.amazonaws.com/version-20052024-0250/curl                 ###  </string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468086</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>56</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>55</string>
        </parentIds>
        <id>56</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>#################################################################################################</string>
            </entry>
          </arguments>
          <sensitiveVariables>
            <string>AWS_ACCESS_KEY_ID</string>
            <string>AWS_SECRET_ACCESS_KEY</string>
          </sensitiveVariables>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468096</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>57</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>56</string>
        </parentIds>
        <id>57</id>
        <startId>46</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468104</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>58</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>57</string>
        </parentIds>
        <id>58</id>
        <startId>45</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468127</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>59</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>58</string>
        </parentIds>
        <id>59</id>
        <startId>38</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468136</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>60</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>59</string>
        </parentIds>
        <id>60</id>
        <startId>37</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468161</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>61</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>60</string>
        </parentIds>
        <id>61</id>
        <startId>36</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468170</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>62</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>61</string>
        </parentIds>
        <id>62</id>
        <startId>35</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468197</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>63</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>62</string>
        </parentIds>
        <id>63</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>Trigger Next Job to handle the master jenkins job file</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468216</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>64</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>63</string>
        </parentIds>
        <id>64</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>Trigger Next Job to handle the master jenkins job file</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468220</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>65</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>64</string>
        </parentIds>
        <id>65</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468251</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>66</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>65</string>
        </parentIds>
        <id>66</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468257</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>67</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>66</string>
        </parentIds>
        <id>67</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>Job Number: 89</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468279</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>68</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>67</string>
        </parentIds>
        <id>68</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>Job Name: omc-assignment</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468291</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>69</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>68</string>
        </parentIds>
        <id>69</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.EchoStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>message</string>
              <string>repository url : https://omc-backets-curl.s3.amazonaws.com/version-20052024-0250</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468305</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>70</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>69</string>
        </parentIds>
        <id>70</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.build.BuildTriggerStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>job</string>
              <string>add-master-logs-2-repo</string>
            </entry>
            <entry>
              <string>parameters</string>
              <list>
                <org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                  <symbol>string</symbol>
                  <arguments class="linked-hash-map">
                    <entry>
                      <string>name</string>
                      <string>OWNER_BUILD_NUMBER</string>
                    </entry>
                    <entry>
                      <string>value</string>
                      <string>89</string>
                    </entry>
                  </arguments>
                  <interpolatedStrings>
                    <string>89</string>
                  </interpolatedStrings>
                </org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                <org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                  <symbol>string</symbol>
                  <arguments class="linked-hash-map">
                    <entry>
                      <string>name</string>
                      <string>REPOSITORY_URI</string>
                    </entry>
                    <entry>
                      <string>value</string>
                      <string>s3://omc-backets-curl/version-20052024-0250</string>
                    </entry>
                  </arguments>
                  <interpolatedStrings>
                    <string>s3://omc-backets-curl/version-20052024-0250</string>
                  </interpolatedStrings>
                </org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                <org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                  <symbol>string</symbol>
                  <arguments class="linked-hash-map">
                    <entry>
                      <string>name</string>
                      <string>REPOSITORY_URL</string>
                    </entry>
                    <entry>
                      <string>value</string>
                      <string>https://omc-backets-curl.s3.amazonaws.com/version-20052024-0250</string>
                    </entry>
                  </arguments>
                  <interpolatedStrings>
                    <string>https://omc-backets-curl.s3.amazonaws.com/version-20052024-0250</string>
                  </interpolatedStrings>
                </org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                <org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
                  <symbol>string</symbol>
                  <arguments class="linked-hash-map">
                    <entry>
                      <string>name</string>
                      <string>TIMESTAMP</string>
                    </entry>
                    <entry>
                      <string>value</string>
                      <string>20052024-0250</string>
                    </entry>
                  </arguments>
                  <interpolatedStrings>
                    <string>20052024-0250</string>
                  </interpolatedStrings>
                </org.jenkinsci.plugins.workflow.cps.UninstantiatedDescribableWithInterpolation>
              </list>
            </entry>
            <entry>
              <string>wait</string>
              <boolean>false</boolean>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468384</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>Building add-master-logs-2-repo</displayName>
        </wf.a.LabelAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>71</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>70</string>
        </parentIds>
        <id>71</id>
        <startId>66</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468438</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>72</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>71</string>
        </parentIds>
        <id>72</id>
        <startId>65</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468463</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>73</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>72</string>
        </parentIds>
        <id>73</id>
        <startId>64</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468473</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>74</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>73</string>
        </parentIds>
        <id>74</id>
        <startId>63</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468493</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>75</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>74</string>
        </parentIds>
        <id>75</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>Declarative: Post Actions</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468622</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>76</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>75</string>
        </parentIds>
        <id>76</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.LabelAction plugin="workflow-api@1311.v4250456a_e552">
          <displayName>Declarative: Post Actions</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468626</startTime>
        </wf.a.TimingAction>
        <wf.a.TagsAction plugin="workflow-api@1311.v4250456a_e552">
          <tags>
            <entry>
              <string>SYNTHETIC_STAGE</string>
              <string>POST</string>
            </entry>
          </tags>
        </wf.a.TagsAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>77</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>76</string>
        </parentIds>
        <id>77</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468651</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>78</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>77</string>
        </parentIds>
        <id>78</id>
        <descriptorId>org.jenkinsci.plugins.pipeline.modeldefinition.steps.ScriptStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468658</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>79</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>78</string>
        </parentIds>
        <id>79</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.durable_task.ShellStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>script</string>
              <string>
                    rm -rf /home/jenkins-agent/curl/*
                    rm -rf /home/jenkins-agent/logs/*
                    rm -rf /home/jenkins-agent/artifacts/*
                    rm -rf /home/jenkins-agent/workspace/omc-assignment/*
                    rm -rf /home/jenkins-agent/workspace/curl-clone/*   
                </string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173468680</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>80</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>79</string>
        </parentIds>
        <id>80</id>
        <startId>78</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469575</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>81</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>80</string>
        </parentIds>
        <id>81</id>
        <startId>77</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469599</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>82</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>81</string>
        </parentIds>
        <id>82</id>
        <startId>76</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469621</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>83</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>82</string>
        </parentIds>
        <id>83</id>
        <startId>75</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469644</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>84</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>83</string>
        </parentIds>
        <id>84</id>
        <startId>11</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469653</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>85</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>84</string>
        </parentIds>
        <id>85</id>
        <startId>10</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469671</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>86</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>85</string>
        </parentIds>
        <id>86</id>
        <startId>4</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1311.v4250456a_e552"/>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469681</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>87</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>86</string>
        </parentIds>
        <id>87</id>
        <startId>3</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469706</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>88</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="org.jenkinsci.plugins.workflow.graph.FlowEndNode" plugin="workflow-api@1311.v4250456a_e552">
        <parentIds>
          <string>87</string>
        </parentIds>
        <id>88</id>
        <startId>2</startId>
        <result>
          <name>SUCCESS</name>
          <ordinal>0</ordinal>
          <color>BLUE</color>
          <completeBuild>true</completeBuild>
        </result>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1311.v4250456a_e552">
          <startTime>1716173469715</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
</linked-hash-map>